Skip to main content
GET
/
client
/
departments
cURL
curl --request GET \
  --url https://sandbox-remote-api.rayda.co/api/v2/client/departments \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "message": "Records fetched successfully",
  "data": {
    "data": [
      {
        "id": "9e0fe6c9-7d47-4341-a578-a1cf42695e13",
        "company": {
          "id": "9dc21956-ccd8-4ae5-bc77-d167d6d542ed",
          "name": "Rayda"
        },
        "name": "Business Development",
        "member_count": 2,
        "asset_count": 0,
        "created_at": "2025-01-26T17:08:56.000Z",
        "updated_at": "2025-01-26T17:08:56.000Z",
        "head": {
          "name": " ",
          "id": null
        },
        "members": [
          {
            "id": "9e0e7675-bc9b-40e1-b1db-4cc6451f7f4e",
            "first_name": "Jackson",
            "last_name": "Doe",
            "email": "[email protected]",
            "user_departments": [
              {
                "id": "9e0febe1-1ff2-4625-accd-9f43d229ea1d",
                "company_id": "9dc21956-ccd8-4ae5-bc77-d167d6d542ed",
                "user_id": "9e0e7675-bc9b-40e1-b1db-4cc6451f7f4e",
                "department_id": "9e0febe1-148e-4330-ae0c-b333b570d0e9",
                "status": "Active",
                "created_at": "2025-01-26T17:23:10.000Z",
                "updated_at": "2025-01-26T17:23:10.000Z",
                "deleted_at": null
              }
            ]
          }
        ]
      }
    ],
    "total": 35,
    "per_page": 15,
    "current_page": 1,
    "last_page": 3
  }
}
Use pagination query parameters to control how many departments are returned per request.
The default pagination returns 15 records per page.
  • page: Specifies which page of records to retrieve.
  • per_page: Determines how many records to return per page (default is 15).

Example

GET /api/v2/client/departments?page=1&per_page=15

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
integer<int32>

Specifies which page of records to retrieve.

per_page
integer<int32>

The number of records to return per page

Response

A list of departments

success
boolean
Example:

true

message
string
Example:

"Records fetched successfully"

data
object